System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.Data.SqlTypes.INullable System.IComparable System.Xml.Serialization.IXmlSerializable To be added

Represents a GUID to be stored in or retrieved from a database.

- Constructor
  To be added

  Initializes a new instance of the structure using the supplied byte array parameter.

  A byte array.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the specified parameter.

  A
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the structure using the specified parameter.

  A object.
  1.0.5000.0
  2.0.0.0
- Constructor

  Specifying individual bytes in this manner can be used to circumvent byte order restrictions (big-endian or little-endian byte order) on particular types of computers.

  Initializes a new instance of the structure using the specified values.

  The first four bytes of the .
  The next two bytes of the .
  The next two bytes of the .
  The next byte of the .
  The next byte of the .
  The next byte of the .
  The next byte of the .
  The next byte of the .
  The next byte of the .
  The next byte of the .
  The next byte of the .
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` To be added.

  Compares this structure to the supplied and returns an indication of their relative values. Compares more than the last 6 bytes, but treats the last 6 bytes as the most significant ones in comparisons.

  A signed number that indicates the relative values of the instance and the object.

  Return Value

  Condition

  Less than zero

  This instance is less than object.

  Zero

  This instance is the same as object.

  Greater than zero

  This instance is greater than object

  -or-

  object is a null reference (Nothing).

  The to be compared.
- Method
  System.Int32 `` To be added

  Compares this structure to the supplied object and returns an indication of their relative values. Compares more than the last 6 bytes, but treats the last 6 bytes as the most significant ones in comparisons.

  A signed number that indicates the relative values of the instance and the object.

  Return Value

  Condition

  Less than zero

  This instance is less than object.

  Zero

  This instance is the same as object.

  Greater than zero

  This instance is greater than object

  -or-

  object is a null reference (Nothing)

  The to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Compares the supplied object parameter to the property of the object.

  true if object is an instance of and the two are equal; otherwise false.

  The object to be compared. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison of two structures to determine whether they are equal.

  true if the two values are equal. Otherwise, false. If either instance is null, then the SqlGuid will be null.

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Returns the hash code of this structure.

  A 32-bit signed integer hash code.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Xml.XmlQualifiedName `` To be added.

  Returns the XML Schema definition language (XSD) of the specified .

  A string value that indicates the XSD of the specified .

  A .
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  For more information, see Handling Null Values (ADO.NET).

  Gets a Boolean value that indicates whether this structure is null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` `` To be added

  Performs a logical comparison on two structures to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure. 1.0.5000.0 2.0.0.0
- Field
  System.Data.SqlTypes.SqlGuid

  functions as a constant for the structure. For more information, see Handling Null Values (ADO.NET).

  Represents a that can be assigned to this instance of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison of two structures to determine whether they are equal.

  A that is if the two instances are equal or if the two instances are not equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlGuid `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Guid `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlGuid `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than the second.

  A that is if the first instance is greater than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is greater than or equal to the second.

  A that is if the first instance is greater than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlGuid `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Performs a logical comparison on two structures to determine whether they are not equal.

  A that is if the two instances are not equal or if the two instances are equal. If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than the second.

  A that is if the first instance is less than the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  1.0.5000.0
  2.0.0.0
  System.Data.SqlTypes.SqlBoolean `` `` To be added.

  Compares two instances of to determine whether the first is less than or equal to the second.

  A that is if the first instance is less than or equal to the second instance. Otherwise, . If either instance of is null, the of the will be .

  A structure. A structure.
- Method
  System.Data.SqlTypes.SqlGuid `` To be added

  Converts the specified structure to .

  A equivalent to the value that is contained in the specified .

  The String to be parsed. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  An XmlSchema.

- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlReader
- Method
  2.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  XmlWriter
- Method
  System.Byte[] To be added

  Converts this structure to a byte array.

  An array of bytes representing the of this structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlBinary To be added

  Converts this structure to .

  A SqlBinary structure that contains the bytes in the structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlTypes.SqlString To be added

  Converts this structure to .

  A structure that contains the string representation of the structure.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Converts this structure to a .

  A that contains the string representation of the structure.

  1.0.5000.0
  2.0.0.0
- Property
  System.Guid To be added: an object of type 'Guid' To be added

  Gets the value of the structure. This property is read-only.

  1.0.5000.0
  2.0.0.0
System.Xml.Serialization.XmlSchemaProvider("GetXsdType")